edu.sc.seis.sod.subsetter.eventStation

## Class RemoveStationDuplicate

- java.lang.Object
- - edu.sc.seis.sod.subsetter.eventStation.RemoveStationDuplicate

- All Implemented Interfaces:
    SodElement, EventStationSubsetter, Subsetter

      public class RemoveStationDuplicate
      extends java.lang.Object
      implements EventStationSubsetter

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected edu.iris.Fissures.model.QuantityImpl` | `maxDistance`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemoveStationDuplicate()`
    `RemoveStationDuplicate(org.w3c.dom.Element config)`
    `RemoveStationDuplicate(edu.iris.Fissures.model.QuantityImpl maxDistance)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StringTree` | `accept(edu.sc.seis.fissuresUtil.cache.CacheEvent event, edu.iris.Fissures.network.StationImpl station, CookieJar cookieJar)`
    `boolean` | `isDistanceClose(edu.iris.Fissures.network.StationImpl staA, edu.iris.Fissures.network.StationImpl staB)`
    `protected void` | `setMaxDistance(edu.iris.Fissures.model.QuantityImpl maxDistance)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### maxDistance

          protected edu.iris.Fissures.model.QuantityImpl maxDistance

  - ### Constructor Detail

    - #### RemoveStationDuplicate

          public RemoveStationDuplicate(org.w3c.dom.Element config)
                                 throws ConfigurationException

      Throws:
        `ConfigurationException`

    - #### RemoveStationDuplicate

          public RemoveStationDuplicate(edu.iris.Fissures.model.QuantityImpl maxDistance)
                                 throws ConfigurationException

      Throws:
        `ConfigurationException`

    - #### RemoveStationDuplicate

          public RemoveStationDuplicate()

  - ### Method Detail

    - #### accept

          public StringTree accept(edu.sc.seis.fissuresUtil.cache.CacheEvent event,
                                   edu.iris.Fissures.network.StationImpl station,
                                   CookieJar cookieJar)
                            throws java.lang.Exception

      Specified by:
        `accept` in interface `EventStationSubsetter`
      Throws:
        `java.lang.Exception`

    - #### isDistanceClose

          public boolean isDistanceClose(edu.iris.Fissures.network.StationImpl staA,
                                         edu.iris.Fissures.network.StationImpl staB)

    - #### setMaxDistance

          protected void setMaxDistance(edu.iris.Fissures.model.QuantityImpl maxDistance)
                                 throws ConfigurationException

      Throws:
        `ConfigurationException`